diff scripts/install.sh @ 1076:1c15ba60aa64 draft

Switch flag generation from shell to C. This should actually generate FLAG_longopt 0 #defines for disabled bare longopts (ala ls without --color). Put temporary executables under "generated" (including instlist for install).
author Rob Landley <rob@landley.net>
date Thu, 03 Oct 2013 03:18:00 -0500
parents 150a6d81bd02
children
line wrap: on
line diff
--- a/scripts/install.sh	Sun Sep 22 11:21:06 2013 -0500
+++ b/scripts/install.sh	Thu Oct 03 03:18:00 2013 -0500
@@ -35,8 +35,8 @@
 
 echo "Compile instlist..."
 
-$DEBUG $HOSTCC -I . scripts/install.c -o instlist || exit 1
-COMMANDS="$(./instlist $LONG_PATH)"
+$DEBUG $HOSTCC -I . scripts/install.c -o generated/instlist || exit 1
+COMMANDS="$(generated/instlist $LONG_PATH)"
 
 echo "Install commands..."